import request from "@/utils/request.js";

/**
 * 创建支付订单
 * @param {Object} data - 支付订单参数
 * @param {string} data.goodsId - 商品ID
 * @param {number} data.amount - 支付金额
 * @param {string} data.payType - 支付方式(wxpay/alipay)
 */
export function createPaymentOrder(params) {
  return request.post("wxpay/v2/jsapi/pay", params);
}

/**
 * 查询订单支付状态
 * @param {string} orderNo - 订单编号
 */
export function queryPaymentStatus(orderNo) {
  return request.get("wxpay/v2/order/query", {
    orderNo,
  });
}
